#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 ghcide
version:              1.4.0.1
visibility:           public
id:                   ghcide-1.4.0.1-5stW1V6MhVBGeCRHZSaIfO
key:                  ghcide-1.4.0.1-5stW1V6MhVBGeCRHZSaIfO
license:              Apache-2.0
copyright:            Digital Asset and Ghcide contributors 2018-2020
maintainer:           Ghcide contributors
author:               Digital Asset and Ghcide contributors
homepage:
    https://github.com/haskell/haskell-language-server/tree/master/ghcide#readme

synopsis:             The core of an IDE
description:          A library for building Haskell IDE'\''s on top of the GHC API.
category:             Development
abi:                  210fec1a90d1a06554cac061a501e778
exposed:              True
exposed-modules:
    Control.Concurrent.Strict Development.IDE
    Development.IDE.Core.Actions Development.IDE.Core.Compile
    Development.IDE.Core.Debouncer Development.IDE.Core.FileStore
    Development.IDE.Core.IdeConfiguration
    Development.IDE.Core.OfInterest
    Development.IDE.Core.PositionMapping
    Development.IDE.Core.Preprocessor
    Development.IDE.Core.ProgressReporting
    Development.IDE.Core.RuleTypes Development.IDE.Core.Rules
    Development.IDE.Core.Service Development.IDE.Core.Shake
    Development.IDE.Core.Tracing Development.IDE.Core.UseStale
    Development.IDE.GHC.Compat Development.IDE.GHC.Error
    Development.IDE.GHC.ExactPrint Development.IDE.GHC.Orphans
    Development.IDE.GHC.Util
    Development.IDE.Import.DependencyInformation
    Development.IDE.Import.FindImports
    Development.IDE.LSP.HoverDefinition
    Development.IDE.LSP.LanguageServer Development.IDE.LSP.Outline
    Development.IDE.LSP.Server Development.IDE.Main
    Development.IDE.Plugin Development.IDE.Plugin.CodeAction
    Development.IDE.Plugin.CodeAction.ExactPrint
    Development.IDE.Plugin.Completions
    Development.IDE.Plugin.Completions.Types Development.IDE.Plugin.HLS
    Development.IDE.Plugin.HLS.GhcIde Development.IDE.Plugin.Test
    Development.IDE.Plugin.TypeLenses Development.IDE.Session
    Development.IDE.Spans.AtPoint Development.IDE.Spans.Common
    Development.IDE.Spans.Documentation
    Development.IDE.Spans.LocalBindings
    Development.IDE.Types.Diagnostics Development.IDE.Types.Exports
    Development.IDE.Types.HscEnvEq Development.IDE.Types.KnownTargets
    Development.IDE.Types.Location Development.IDE.Types.Logger
    Development.IDE.Types.Options Development.IDE.Types.Shake
    Generics.SYB.GHC

hidden-modules:
    Development.IDE.Core.FileExists Development.IDE.GHC.CPP
    Development.IDE.GHC.Warnings Development.IDE.LSP.Notifications
    Development.IDE.Plugin.CodeAction.PositionIndexed
    Development.IDE.Plugin.CodeAction.Args
    Development.IDE.Plugin.Completions.Logic
    Development.IDE.Session.VersionCheck Development.IDE.Types.Action

import-dirs:          /usr/lib/ghc-8.10.5/site-local/ghcide-1.4.0.1
library-dirs:         /usr/lib/ghc-8.10.5/site-local/ghcide-1.4.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/i386-linux-ghc-8.10.5/ghcide-1.4.0.1
hs-libraries:         HSghcide-1.4.0.1-5stW1V6MhVBGeCRHZSaIfO
depends:
    Diff-0.4.0-13VXofqCMLyHuBACVASIzF
    Glob-0.10.1-1oUfOxlY2AX2MEz9S8cGUZ
    aeson-1.5.6.0-CVfeYccFVpdCde0UrZZZdZ array-0.5.4.0
    async-2.2.3-EEZ7ScAbhsHIRG0TBpna8H base-4.14.2.0
    base16-bytestring-1.0.1.0-HvKbW9RCiAQ5xlJPICEukR binary-0.8.8.0
    bytestring-0.10.12.0
    bytestring-encoding-0.1.1.0-BY3wgRnzzrG6BLAbH2GON7
    case-insensitive-1.2.1.0-G5jOpOHgp1lAnadtJPMHHB containers-0.6.4.1
    cryptohash-sha1-0.11.100.1-HA3MUFqd1UUI8eb8HGKp7P
    data-default-0.7.1.1-5u8NwVJ9HGT30K0bkKsBOX deepseq-1.4.4.0
    dependent-map-0.4.0.0-9Q1JxGe6XZWLCg27tVKkjD
    dependent-sum-0.7.1.0-ImvJugpMQyF5BC4XExpmoc directory-1.3.6.0
    dlist-1.0-2pxhAw6JY91eMk6tw7lC2 extra-1.7.9-4atxCqewDRnKsFBrL9ak4x
    filepath-1.4.2.1 fingertree-0.1.4.2-JrAehD370WF20WLAlnpJcY
    fuzzy-0.1.0.0-G8Hez7wf78XFxniOIXLqjb ghc-8.10.5
    ghc-api-compat-8.6-3TY3o2v9hFDBa7VjHV0kS9 ghc-boot-8.10.5
    ghc-boot-th-8.10.5 ghc-check-0.5.0.5-CCSgnX4lIw84ICDsHqKQgD
    ghc-exactprint-0.6.4-HTJ2iHb4k1m4hsudMcg3aJ
    ghc-paths-0.1.0.12-2xWgOnBVsu4JfFnY8cTnGw
    ghc-trace-events-0.1.2.2-HKKNHycmX1BLp8J2VitI9Z
    haddock-library-1.10.0-KeuZmsAwyIoF5obkrM3KWD
    hashable-1.3.2.0-GpzwVyCMdDv8NwdC61S1EE
    heapsize-0.3.0.1-6joFVU7K3iDGbWieeMVwFp
    hie-bios-0.7.5-FPrIP7WSzEVLhSyKvWaod4
    hie-compat-0.2.0.0-2uJ4eLp19m9HNuq0NixVNO
    hiedb-0.3.0.1-3BijloAy8YKIdbj4b6ZyJj
    hls-graph-1.4.0.0-JjoNjgtseYI6EUnVL33EGm
    hls-plugin-api-1.1.0.2-6o7hY0E5YQuCD8G4Bf3t3o
    hslogger-1.3.1.0-4ZvjEIYEuqKInhLQNg26B3
    implicit-hie-cradle-0.3.0.3-ISkcGDEzTfCDpCIj1YcqMG
    lens-5.0.1-9j09gzxg2dR5Wmd3U39g28
    lsp-1.2.0.0-JYjHpvPu1SW4k7gGYBb5ES
    lsp-types-1.2.0.0-926l9WtteBxBKACgKH5KZf mtl-2.2.2
    network-uri-2.6.4.1-4m8gp52oIfHLdE9VhQrWxs
    opentelemetry-0.7.0-GZraeyjLM6c8wtPHcMbr0h
    optparse-applicative-0.16.1.0-ARX6qDeExVWDKYrQ55nL8e
    parallel-3.2.2.0-H513jAs1HA11zQonYV0DH5
    prettyprinter-1.7.0-D28lGbKBr8A22zyggdsd0d
    prettyprinter-ansi-terminal-1.1.2-B0FzwVcIaD83YtSeA0ehf
    regex-tdfa-1.3.1.1-GKHvEQcFLVkJ8X6kzhWyIo
    retrie-0.1.1.1-D5IU5pYNOYi2jNPU304BuZ
    rope-utf16-splay-0.3.2.0-4BO3wv3HTjC6do6mxk98HB
    safe-0.3.19-DlKvqLTtraZKItu5PR3KBM
    safe-exceptions-0.1.7.1-5k5YUvh9EUEA8260dxkQvv
    sorted-list-0.2.1.0-9nmT4tHEEdz1Ro1gJtKttX
    sqlite-simple-0.4.18.0-K4ValKu8jlY3d8ZtmQxp1p stm-2.5.0.1
    syb-0.7.2.1-5ZaH2aS3V5s5i5LSCPBZnH text-1.2.4.1 time-1.9.3
    transformers-0.5.6.2 unix-2.7.2.2
    unliftio-0.2.18-5P4UivtPmWZvk4Y5NpZt0
    unliftio-core-0.2.0.1-1ibY1oF6Hkc5ZYjZ4yW3Lp
    unordered-containers-0.2.14.0-JpdjDmlqBJN4PAu3jIj4Ya
    utf8-string-1.0.2-DMovLmOdbFr3ZT2kNNb9Du
    vector-0.12.3.0-K9OZS5OCy7cE2QKQqSO9mp

haddock-interfaces:   /usr/share/doc/haskell-ghcide/html/ghcide.haddock
haddock-html:         /usr/share/doc/haskell-ghcide/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

